Bug 497689 - ath9k Does Not Pass Through DHCP When in Master Mode
ath9k Does Not Pass Through DHCP When in Master Mode
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-26 04:15 EDT by JD
Modified: 2009-06-10 12:48 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 12:48:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description JD 2009-04-26 04:15:56 EDT
Hello,

When connecting Windows (XP/Vista) wireless clients to a hostapd AP using the ath9k driver, DHCP
offers do not succeed.  When setting the network interface settings on the
client to use a static configuration connectivity succeeds and client
networking through the AP functions well.

A high-level layout of my network is as follows:

- Linux router running hostapd: 192.168.8.1
- Windows Server 2003 DC running DHCP: 192.168.8.20
- Windows XP/Vista clients

Following are details of the router running hostapd:

- Bridge interface: br0
- Interfaces attached to the bridge: wlan0, eth1
- Bridge IP: 192.168.8.1

DHCP is working and the bridge functions: I have confirmed this by 
successfully
obtaining a DHCP lease via the notebook's LAN port.

I am using the following software versions:

- hostapd 0.6.9
- FC10(2.6.29.1-15.fc10.i686)
- ath9k

Following are the contents of my hostapd.conf file:

bridge=br0
interface=wlan0
driver=nl80211
ssid=myessid
hw_mode=g
channel=6
eapol_version=1
logger_syslog=-1
logger_syslog_level=2
logger_stdout=-1
logger_stdout_level=2
ctrl_interface=/var/run/hostapd
ctrl_interface_group=0
macaddr_acl=0
deny_mac_file=/etc/hostapd.deny
auth_algs=3
eapol_key_index_workaround=0
eap_server=0
dump_file=/tmp/hostapd.dump
wpa=3
wpa_key_mgmt=WPA-PSK
wpa_pairwise=TKIP CCMP
wpa_psk=*********
ieee8021x=0


Is there a setting that must be added to allow DHCP to pass 
through the bridge.  UDP works fine through the bridge, as the client can see the
Windows domain and can broadcast for clients on the domain (when connected 
via a static IP or via a physical LAN cable).
Comment 1 Luis R. Rodriguez 2009-06-01 13:47:06 EDT
Can you please try wireless-testing
Comment 2 JD 2009-06-01 14:22:40 EDT
Hello,

I upgraded my Kernel to 2.6.29.2-52.fc10.i686 and installed an AR5416 card and DHCP now passes through fine.

Thanks
-JD
Comment 3 Luis R. Rodriguez 2009-06-01 14:28:58 EDT
Thanks, John can this be closed

Note You need to log in before you can comment on or make changes to this bug.